Package org.apache.calcite.avatica.util

## Interface Cursor.Accessor

All Known Implementing Classes:
  `AbstractCursor.AccessorImpl`, `AbstractCursor.ApproximateNumericAccessor`, `AbstractCursor.ArrayAccessor`, `AbstractCursor.BigDecimalAccessor`, `AbstractCursor.BigNumberAccessor`, `AbstractCursor.BinaryAccessor`, `AbstractCursor.BinaryFromStringAccessor`, `AbstractCursor.BooleanAccessor`, `AbstractCursor.ByteAccessor`, `AbstractCursor.DateAccessor`, `AbstractCursor.DateFromNumberAccessor`, `AbstractCursor.DoubleAccessor`, `AbstractCursor.ExactNumericAccessor`, `AbstractCursor.FixedStringAccessor`, `AbstractCursor.FloatAccessor`, `AbstractCursor.IntAccessor`, `AbstractCursor.IntervalDayTimeAccessor`, `AbstractCursor.IntervalYearMonthAccessor`, `AbstractCursor.LongAccessor`, `AbstractCursor.NumberAccessor`, `AbstractCursor.ObjectAccessor`, `AbstractCursor.ShortAccessor`, `AbstractCursor.StringAccessor`, `AbstractCursor.StringFromCharAccessor`, `AbstractCursor.StructAccessor`, `AbstractCursor.TimeAccessor`, `AbstractCursor.TimeFromNumberAccessor`, `AbstractCursor.TimestampAccessor`, `AbstractCursor.TimestampFromNumberAccessor`, `AbstractCursor.TimestampFromUtilDateAccessor`

Enclosing interface:
  Cursor

    public static interface Cursor.Accessor

Accessor of a column value.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.sql.Array` `getArray()`
`java.io.InputStream` `getAsciiStream()`
`java.math.BigDecimal` `getBigDecimal()`
`java.math.BigDecimal` `getBigDecimal​(int scale)`
`java.io.InputStream` `getBinaryStream()`
`java.sql.Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`java.io.Reader` `getCharacterStream()`
`java.sql.Clob` `getClob()`
`java.sql.Date` `getDate​(java.util.Calendar calendar)`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`java.io.Reader` `getNCharacterStream()`
`java.sql.NClob` `getNClob()`
`java.lang.String` `getNString()`
`java.lang.Object` `getObject()`
`<T> T` `getObject​(java.lang.Class<T> type)`
`java.lang.Object` `getObject​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.sql.Ref` `getRef()`
`short` `getShort()`
`java.sql.SQLXML` `getSQLXML()`
`java.lang.String` `getString()`
`java.sql.Struct` `getStruct()`
`java.sql.Time` `getTime​(java.util.Calendar calendar)`
`java.sql.Timestamp` `getTimestamp​(java.util.Calendar calendar)`
`java.io.InputStream` `getUnicodeStream()`
`java.net.URL` `getURL()`
`boolean` `wasNull()`

### Method Detail

#### wasNull

    boolean wasNull()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getString

    java.lang.String getString()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBoolean

    boolean getBoolean()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getByte

    byte getByte()
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getShort

    short getShort()
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getInt

    int getInt()
        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getLong

    long getLong()
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFloat

    float getFloat()
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDouble

    double getDouble()
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBigDecimal

    java.math.BigDecimal getBigDecimal()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBigDecimal

    java.math.BigDecimal getBigDecimal​(int scale)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBytes

    byte[] getBytes()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getAsciiStream

    java.io.InputStream getAsciiStream()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    java.io.InputStream getUnicodeStream()
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBinaryStream

    java.io.InputStream getBinaryStream()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    java.lang.Object getObject()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getCharacterStream

    java.io.Reader getCharacterStream()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    java.lang.Object getObject​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getRef

    java.sql.Ref getRef()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBlob

    java.sql.Blob getBlob()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getClob

    java.sql.Clob getClob()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getArray

    java.sql.Array getArray()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getStruct

    java.sql.Struct getStruct()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate​(java.util.Calendar calendar)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime​(java.util.Calendar calendar)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp​(java.util.Calendar calendar)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getURL

    java.net.URL getURL()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNClob

    java.sql.NClob getNClob()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getSQLXML

    java.sql.SQLXML getSQLXML()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNString

    java.lang.String getNString()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    java.io.Reader getNCharacterStream()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    <T> T getObject​(java.lang.Class<T> type)
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`